Skip to main content
POST
/
domains
/
{domainId}
/
prompts
Create prompt
curl --request POST \
  --url https://api.mentionpath.ai/api/v1/domains/{domainId}/prompts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "locations": "<string>"
}
'
{
  "status": "APPROVAL_REQUIRED",
  "approvalRequestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "approvalUrl": "<string>"
}

Authorizations

Authorization
string
header
required

API token or OAuth access token from Account → API in the Mentionpath app.

Path Parameters

domainId
string<uuid>
required

Body

application/json
title
string
required
locations
string
categoryType
enum<string>
Available options:
commercial,
informational,
brand
status
enum<string>
Available options:
active,
archived

Response

Prompt created